<?php
/**
 * Single Product Up-Sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/up-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     3.0.0
 */

if (!defined("ABSPATH")) {
  exit();
}

$id = uniqid("up-sell-slider");

if ($upsells): ?>
  <section id="<?= $id ?>" class="row upsell-row up-sells upsells products">
	  <div class="col-12 wrap">
			<?php
   $heading = __("Možno by sa Vám páčilo…", "inoby");
   if ($heading) {
     echo "<h2>" . esc_html($heading) . "</h2>";
   }
   woocommerce_product_loop_start();
   foreach ($upsells as $upsell) {
     $post_object = get_post($upsell->get_id());

     setup_postdata($GLOBALS["post"] = &$post_object); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found

     wc_get_template_part("content", "product");
   }
   woocommerce_product_loop_end();
   get_template_part("template-parts/keen-arrows", "keen-arrows", ["slider-id" => $id]);
   ?>
		</div>
	</section>
	<?php endif;

wp_reset_postdata();
